$processor = Get-WmiObject Win32_Processor
$is64bit = $processor.AddressWidth -eq 64

$packageName = 'qdir'
$fileType = 'exe'
$silentArgs = '-uninstall'
 
if ($is64bit) {
    $programUninstallEntryName = "Q-Dir"
    $uninstallString = (Get-ItemProperty HKLM:\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\Uninstall\* | Select DisplayName, UninstallString | Where-Object {$_.DisplayName -like "$programUninstallEntryName*"}).UninstallString
    $uninstallString = $uninstallString.Substring(0,39)
} else {
    $programUninstallEntryName = "Q-Dir"
    $uninstallString = (Get-ItemProperty HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\* | Select DisplayName, UninstallString | Where-Object {$_.DisplayName -like "$programUninstallEntryName*"}).UninstallString
    $uninstallString = $uninstallString.Substring(0,33)
} # get the uninstall string of the installed Q-dir version from the registry
 
#$uninstallString = "$uninstallString" -replace '[{]', '`{' # adding escape character to the braces
#$uninstallString = "$uninstallString" -replace '[}]', '`} -uninstall' # to work properly with the Invoke-Expression command, add silent arguments
 
if ($uninstallString -ne "") {
	Uninstall-ChocolateyPackage $packageName $fileType $silentArgs $uninstallString
	$wshell = new-object -com wscript.shell
	Start-Sleep 1
	$wshell.sendkeys("`"OK`"~")
}